Paths.DefaultPathDescriptor (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb.traversal

## Class Paths.DefaultPathDescriptor<T extends Path>

- java.lang.Object
- - org.neo4j.graphdb.traversal.Paths.DefaultPathDescriptor<T>

- Type Parameters:
    `T` - the type of `Path`.
  All Implemented Interfaces:
    Paths.PathDescriptor<T>
  Enclosing class:
    Paths

      public static class Paths.DefaultPathDescriptor<T extends Path>
      extends Object
      implements Paths.PathDescriptor<T>

  The default `Paths.PathDescriptor` used in common toString() representations in classes implementing `Path`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Paths.DefaultPathDescriptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `nodeRepresentation(Path path, Node node)` Returns a string representation of a `Node`.
    `String` | `relationshipRepresentation(Path path, Node from, Relationship relationship)` Returns a string representation of a `Relationship`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Paths.DefaultPathDescriptor

          public Paths.DefaultPathDescriptor()

  - ### Method Detail

    - #### nodeRepresentation

          public String nodeRepresentation(Path path,
                                  Node node)

      Description copied from interface: `Paths.PathDescriptor`
      Returns a string representation of a `Node`.
      Specified by:
        `nodeRepresentation` in interface `Paths.PathDescriptor<T extends Path>`
      Parameters:
        `path` - the `Path` we're building a string representation from.
        `node` - the `Node` to return a string representation of.
      Returns:
        a string representation of a `Node`.

    - #### relationshipRepresentation

          public String relationshipRepresentation(Path path,
                                          Node from,
                                          Relationship relationship)

      Description copied from interface: `Paths.PathDescriptor`
      Returns a string representation of a `Relationship`.
      Specified by:
        `relationshipRepresentation` in interface `Paths.PathDescriptor<T extends Path>`
      Parameters:
        `path` - the `Path` we're building a string representation from.
        `from` - the previous `Node` in the path.
        `relationship` - the `Relationship` to return a string representation of.
      Returns:
        a string representation of a `Relationship`.

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.